org.vertx.java.core.net.impl

## Class TCPSSLHelper

- java.lang.Object
- - org.vertx.java.core.net.impl.TCPSSLHelper

    public class TCPSSLHelper
    extends java.lang.Object

Helper class for TCP and SSL attributes

### Nested Class Summary

Nested Classes
`static class` `TCPSSLHelper.ClientAuth`

### Constructor Summary

Constructors
Constructor and Description
`TCPSSLHelper()`

### Method Summary

Methods
`void` `checkSSL()`
`javax.net.ssl.SSLContext` `createContext(java.lang.String ksPath, java.lang.String ksPassword, java.lang.String tsPath, java.lang.String tsPassword, boolean trustAll)`
`java.util.Map<java.lang.String,java.lang.Object>` `generateConnectionOptions(boolean server)`
`java.lang.Integer` `getAcceptBacklog()`
`TCPSSLHelper.ClientAuth` `getClientAuth()`
`java.lang.Integer` `getClientBossThreads()`
`java.lang.Long` `getConnectTimeout()`
`java.lang.String` `getKeyStorePassword()`
`java.lang.String` `getKeyStorePath()`
`java.lang.Integer` `getReceiveBufferSize()`
`java.lang.Integer` `getSendBufferSize()`
`javax.net.ssl.SSLContext` `getSSLContext()`
`java.lang.Integer` `getTrafficClass()`
`java.lang.String` `getTrustStorePassword()`
`java.lang.String` `getTrustStorePath()`
`java.lang.Boolean` `isReuseAddress()`
`java.lang.Boolean` `isSoLinger()`
`boolean` `isSSL()`
`java.lang.Boolean` `isTCPKeepAlive()`
`java.lang.Boolean` `isTCPNoDelay()`
`boolean` `isTrustAll()`
`void` `runOnCorrectThread(org.jboss.netty.channel.socket.nio.NioSocketChannel nch, java.lang.Runnable runnable)`
`void` `setAcceptBacklog(java.lang.Integer acceptBackLog)`
`void` `setClientAuthRequired(boolean required)`
`void` `setClientBossThreads(java.lang.Integer clientBossThreads)`
`void` `setConnectTimeout(java.lang.Long connectTimeout)`
`void` `setKeyStorePassword(java.lang.String pwd)`
`void` `setKeyStorePath(java.lang.String path)`
`void` `setReceiveBufferSize(java.lang.Integer size)`
`void` `setReuseAddress(java.lang.Boolean reuse)`
`void` `setSendBufferSize(java.lang.Integer size)`
`void` `setSoLinger(java.lang.Boolean linger)`
`void` `setSSL(boolean ssl)`
`void` `setTCPKeepAlive(java.lang.Boolean keepAlive)`
`void` `setTCPNoDelay(java.lang.Boolean tcpNoDelay)`
`void` `setTrafficClass(java.lang.Integer trafficClass)`
`void` `setTrustAll(boolean trustAll)`
`void` `setTrustStorePassword(java.lang.String pwd)`
`void` `setTrustStorePath(java.lang.String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TCPSSLHelper

    public TCPSSLHelper()

### Method Detail

#### checkSSL

    public void checkSSL()

#### runOnCorrectThread

    public void runOnCorrectThread(org.jboss.netty.channel.socket.nio.NioSocketChannel nch,
                          java.lang.Runnable runnable)

#### generateConnectionOptions

    public java.util.Map<java.lang.String,java.lang.Object> generateConnectionOptions(boolean server)

#### isTCPNoDelay

    public java.lang.Boolean isTCPNoDelay()

#### getSendBufferSize

    public java.lang.Integer getSendBufferSize()

#### getReceiveBufferSize

    public java.lang.Integer getReceiveBufferSize()

#### isTCPKeepAlive

    public java.lang.Boolean isTCPKeepAlive()

#### isReuseAddress

    public java.lang.Boolean isReuseAddress()

#### isSoLinger

    public java.lang.Boolean isSoLinger()

#### getTrafficClass

    public java.lang.Integer getTrafficClass()

#### getClientBossThreads

    public java.lang.Integer getClientBossThreads()

#### setTCPNoDelay

    public void setTCPNoDelay(java.lang.Boolean tcpNoDelay)

#### setSendBufferSize

    public void setSendBufferSize(java.lang.Integer size)

#### setReceiveBufferSize

    public void setReceiveBufferSize(java.lang.Integer size)

#### setTCPKeepAlive

    public void setTCPKeepAlive(java.lang.Boolean keepAlive)

#### setReuseAddress

    public void setReuseAddress(java.lang.Boolean reuse)

#### setSoLinger

    public void setSoLinger(java.lang.Boolean linger)

#### setTrafficClass

    public void setTrafficClass(java.lang.Integer trafficClass)

#### setClientBossThreads

    public void setClientBossThreads(java.lang.Integer clientBossThreads)

#### isSSL

    public boolean isSSL()

#### getKeyStorePath

    public java.lang.String getKeyStorePath()

#### getKeyStorePassword

    public java.lang.String getKeyStorePassword()

#### getTrustStorePath

    public java.lang.String getTrustStorePath()

#### getTrustStorePassword

    public java.lang.String getTrustStorePassword()

#### getClientAuth

    public TCPSSLHelper.ClientAuth getClientAuth()

#### isTrustAll

    public boolean isTrustAll()

#### getSSLContext

    public javax.net.ssl.SSLContext getSSLContext()

#### setSSL

    public void setSSL(boolean ssl)

#### setKeyStorePath

    public void setKeyStorePath(java.lang.String path)

#### setKeyStorePassword

    public void setKeyStorePassword(java.lang.String pwd)

#### setTrustStorePath

    public void setTrustStorePath(java.lang.String path)

#### setTrustStorePassword

    public void setTrustStorePassword(java.lang.String pwd)

#### setClientAuthRequired

    public void setClientAuthRequired(boolean required)

#### setTrustAll

    public void setTrustAll(boolean trustAll)

#### getAcceptBacklog

    public java.lang.Integer getAcceptBacklog()

#### getConnectTimeout

    public java.lang.Long getConnectTimeout()

#### setConnectTimeout

    public void setConnectTimeout(java.lang.Long connectTimeout)

#### setAcceptBacklog

    public void setAcceptBacklog(java.lang.Integer acceptBackLog)

#### createContext

    public javax.net.ssl.SSLContext createContext(java.lang.String ksPath,
                                         java.lang.String ksPassword,
                                         java.lang.String tsPath,
                                         java.lang.String tsPassword,
                                         boolean trustAll)